petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMStagVecGetArrayDOFRead

get read-only access to raw local array

### Synopsis

    PetscErrorCode DMStagVecGetArrayDOFRead(DM dm,Vec vec,void *array)

Logically Collective

### Input Parameters

| dm | - the DMStag object
| vec | - the Vec object

### Output Parameters

array -read-only the array

### Notes

Indexing is array[k][j][i][idx]. Obtain idx with DMStagGetLocationSlot()

### See Also

DMSTAG, DMStagVecGetArrayDOFRead(), DMStagGetLocationSlot(), DMGetLocalVector(), DMCreateLocalVector(), DMGetGlobalVector(), DMCreateGlobalVector(), DMDAVecGetArrayDOFRead()

### Level

beginner

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages